Countries

Add, edit, and delete anything related to countries.

Country

country_id
integer

The internal ID for this country

name_cnt
string

The full name of this country

enabled
boolean

True to enable this on your store.

iso2_cnt
string

The 2 character code for this country.

iso3_cnt
string

The 3 character code for this country.

vat_rate
number

VAT rate by country, custom to this country.

stripe_taxrate_id
string

Stripe ID to link to your Stripe account tax rate.

vat_b2b_enabled
boolean

Should VAT be charged for businesses in this country.

{
  • "country_id": 0,
  • "name_cnt": "string",
  • "enabled": true,
  • "iso2_cnt": "string",
  • "iso3_cnt": "string",
  • "vat_rate": 0,
  • "stripe_taxrate_id": "string",
  • "vat_b2b_enabled": true
}

Gets a list of countries

This allows you to get a list of countries

SecuritybearerAuth or basicAuth
Request
query Parameters
page
integer <int64>

Page number starting at 1

perpage
integer <int64>

Number of items per page

sortby
string

Sort results by term

sortdir
string

Sort results ASC or DESC

search
string

Filter countries by a search term

Responses
200

Successful operation

400

Unauthorized

get/countries
Request samples
Response samples
application/json
[
  • {
    }
]

Add a country

This allows you to add a new country

SecuritybearerAuth
Request
Request Body schema: application/json
required

Submit any or all elements to add a new country.

name_cnt
required
string

The full name of this country

enabled
boolean

True to enable this on your store.

iso2_cnt
required
string

The 2 character code for this country.

iso3_cnt
required
string

The 3 character code for this country.

vat_rate
number

VAT rate by country, custom to this country.

stripe_taxrate_id
string

Stripe ID to link to your Stripe account tax rate.

vat_b2b_enabled
boolean

Should VAT be charged for businesses in this country.

Responses
200

Successful operation

400

Unauthorized

post/countries
Request samples
application/json
{
  • "name_cnt": "string",
  • "enabled": true,
  • "iso2_cnt": "string",
  • "iso3_cnt": "string",
  • "vat_rate": 0,
  • "stripe_taxrate_id": "string",
  • "vat_b2b_enabled": true
}
Response samples
application/json
{
  • "country_id": 0,
  • "name_cnt": "string",
  • "enabled": true,
  • "iso2_cnt": "string",
  • "iso3_cnt": "string",
  • "vat_rate": 0,
  • "stripe_taxrate_id": "string",
  • "vat_b2b_enabled": true
}

Gets a country by ID

This allows you to get a country from your store by country ID

SecuritybearerAuth or basicAuth
Request
path Parameters
country_id
required
integer <int64>

Country ID

Responses
200

Successful operation

400

Unauthorized

get/countries/{country_id}
Request samples
Response samples
application/json
{
  • "country_id": 0,
  • "name_cnt": "string",
  • "enabled": true,
  • "iso2_cnt": "string",
  • "iso3_cnt": "string",
  • "vat_rate": 0,
  • "stripe_taxrate_id": "string",
  • "vat_b2b_enabled": true
}

Updates a country by ID

This allows you to update a country

SecuritybearerAuth
Request
path Parameters
country_id
required
integer <int64>

Country ID

Request Body schema: application/json
required

Submit any or all elements to update the country.

name_cnt
string

The full name of this country

enabled
boolean

True to enable this on your store.

iso2_cnt
string

The 2 character code for this country.

iso3_cnt
string

The 3 character code for this country.

vat_rate
number

VAT rate by country, custom to this country.

stripe_taxrate_id
string

Stripe ID to link to your Stripe account tax rate.

vat_b2b_enabled
boolean

Should VAT be charged for businesses in this country.

Responses
200

Successful operation

400

Unauthorized

patch/countries/{country_id}
Request samples
application/json
{
  • "name_cnt": "string",
  • "enabled": true,
  • "iso2_cnt": "string",
  • "iso3_cnt": "string",
  • "vat_rate": 0,
  • "stripe_taxrate_id": "string",
  • "vat_b2b_enabled": true
}
Response samples
application/json
{
  • "country_id": 0,
  • "name_cnt": "string",
  • "enabled": true,
  • "iso2_cnt": "string",
  • "iso3_cnt": "string",
  • "vat_rate": 0,
  • "stripe_taxrate_id": "string",
  • "vat_b2b_enabled": true
}

Deletes a country by ID

This allows you to delete a country from your store

SecuritybearerAuth
Request
path Parameters
country_id
required
integer <int64>

Country ID

Responses
200

Successful operation

400

Unauthorized

delete/countries/{country_id}
Request samples
Response samples
application/json
{
  • "country_id": 0,
  • "name_cnt": "string",
  • "enabled": true,
  • "iso2_cnt": "string",
  • "iso3_cnt": "string",
  • "vat_rate": 0,
  • "stripe_taxrate_id": "string",
  • "vat_b2b_enabled": true
}